Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Class DebugGLES1

    java.lang.Object
      javax.media.opengl.DebugGLES1

All Implemented Interfaces:
  GLLightingFunc, GLMatrixFunc, GLPointerFunc, GL, GL2ES1, GLBase, GLES1

    public class DebugGLES1

extends Object
implements GLBase, GL, GL2ES1, GLES1

Composable pipeline which wraps an underlying `GL` implementation, providing error checking after each OpenGL method call. If an error occurs, causes a `GLException` to be thrown at exactly the point of failure. Sample code which installs this pipeline:

         GL gl = drawable.setGL(new DebugGL(drawable.getGL()));

Field Summary
`static boolean` | `DEBUG`

Fields inherited from interface javax.media.opengl.GLES1
`GL_ETC1_RGB8_OES, GL_HALF_FLOAT_OES, GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES, GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES, GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES, GL_POINT_SIZE_ARRAY_OES, GL_POINT_SIZE_ARRAY_POINTER_OES, GL_POINT_SIZE_ARRAY_STRIDE_OES, GL_POINT_SIZE_ARRAY_TYPE_OES, GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES, GL_TEXTURE_CROP_RECT_OES, GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES`

Fields inherited from interface javax.media.opengl.GL2ES1
`GL_3DC_X_AMD, GL_3DC_XY_AMD, GL_ADD, GL_ADD_SIGNED, GL_ALPHA_SCALE, GL_ALPHA_TEST, GL_ALPHA_TEST_FUNC, GL_ALPHA_TEST_REF, GL_ATC_RGB_AMD, GL_ATC_RGBA_EXPLICIT_ALPHA_AMD, GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD, GL_CLIENT_ACTIVE_TEXTURE, GL_CLIP_PLANE0, GL_CLIP_PLANE1, GL_CLIP_PLANE2, GL_CLIP_PLANE3, GL_CLIP_PLANE4, GL_CLIP_PLANE5, GL_COLOR_ARRAY_BUFFER_BINDING, GL_COLOR_ARRAY_POINTER, GL_COLOR_ARRAY_SIZE, GL_COLOR_ARRAY_STRIDE, GL_COLOR_ARRAY_TYPE, GL_COMBINE, GL_COMBINE_ALPHA, GL_COMBINE_RGB, GL_CONSTANT, GL_COORD_REPLACE, GL_CURRENT_COLOR, GL_CURRENT_NORMAL, GL_CURRENT_PALETTE_MATRIX, GL_CURRENT_TEXTURE_COORDS, GL_DECAL, GL_DOT3_RGB, GL_DOT3_RGBA, GL_EXP, GL_EXP2, GL_FOG, GL_FOG_COLOR, GL_FOG_DENSITY, GL_FOG_END, GL_FOG_HINT, GL_FOG_MODE, GL_FOG_START, GL_GENERATE_MIPMAP, GL_INTERPOLATE, GL_LIGHT_MODEL_AMBIENT, GL_LIGHT_MODEL_TWO_SIDE, GL_MATRIX_INDEX_ARRAY, GL_MATRIX_INDEX_ARRAY_POINTER, GL_MATRIX_INDEX_ARRAY_SIZE, GL_MATRIX_INDEX_ARRAY_STRIDE, GL_MATRIX_INDEX_ARRAY_TYPE, GL_MATRIX_PALETTE, GL_MAX_CLIP_PLANES, GL_MAX_LIGHTS, GL_MAX_MODELVIEW_STACK_DEPTH, GL_MAX_PALETTE_MATRICES, GL_MAX_PROJECTION_STACK_DEPTH, GL_MAX_TEXTURE_STACK_DEPTH, GL_MAX_TEXTURE_UNITS, GL_MAX_VERTEX_UNITS, GL_MODELVIEW_STACK_DEPTH, GL_MODULATE, GL_NORMAL_ARRAY_BUFFER_BINDING, GL_NORMAL_ARRAY_POINTER, GL_NORMAL_ARRAY_STRIDE, GL_NORMAL_ARRAY_TYPE, GL_NORMAL_MAP, GL_OPERAND0_ALPHA, GL_OPERAND0_RGB, GL_OPERAND1_ALPHA, GL_OPERAND1_RGB, GL_OPERAND2_ALPHA, GL_OPERAND2_RGB, GL_PALETTE4_R5_G6_B5, GL_PALETTE4_RGB5_A1, GL_PALETTE4_RGB8, GL_PALETTE4_RGBA4, GL_PALETTE4_RGBA8, GL_PALETTE8_R5_G6_B5, GL_PALETTE8_RGB5_A1, GL_PALETTE8_RGB8, GL_PALETTE8_RGBA4, GL_PALETTE8_RGBA8, GL_PERSPECTIVE_CORRECTION_HINT, GL_POINT_DISTANCE_ATTENUATION, GL_POINT_SIZE_MAX, GL_POINT_SIZE_MIN, GL_POINT_SMOOTH, GL_POINT_SMOOTH_HINT, GL_POINT_SPRITE, GL_PREVIOUS, GL_PRIMARY_COLOR, GL_PROJECTION_STACK_DEPTH, GL_REFLECTION_MAP, GL_RESCALE_NORMAL, GL_RGB_SCALE, GL_SHADE_MODEL, GL_SRC0_ALPHA, GL_SRC0_RGB, GL_SRC1_ALPHA, GL_SRC1_RGB, GL_SRC2_ALPHA, GL_SRC2_RGB, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_SUBTRACT, GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING, GL_TEXTURE_COORD_ARRAY_POINTER, GL_TEXTURE_COORD_ARRAY_SIZE, GL_TEXTURE_COORD_ARRAY_STRIDE, GL_TEXTURE_COORD_ARRAY_TYPE, GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_TEXTURE_ENV_MODE, GL_TEXTURE_GEN_MODE, GL_TEXTURE_GEN_STR, GL_TEXTURE_STACK_DEPTH, GL_VERTEX_ARRAY_BUFFER_BINDING, GL_VERTEX_ARRAY_POINTER, GL_VERTEX_ARRAY_SIZE, GL_VERTEX_ARRAY_STRIDE, GL_VERTEX_ARRAY_TYPE, GL_WEIGHT_ARRAY, GL_WEIGHT_ARRAY_BUFFER_BINDING, GL_WEIGHT_ARRAY_POINTER, GL_WEIGHT_ARRAY_SIZE, GL_WEIGHT_ARRAY_STRIDE, GL_WEIGHT_ARRAY_TYPE`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc
`GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

Fields inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc
`GL_COLOR_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_VERTEX_ARRAY`

Fields inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc
`GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_COLOR_MATERIAL, GL_CONSTANT_ATTENUATION, GL_DIFFUSE, GL_EMISSION, GL_FLAT, GL_LIGHT0, GL_LIGHT1, GL_LIGHT2, GL_LIGHT3, GL_LIGHT4, GL_LIGHT5, GL_LIGHT6, GL_LIGHT7, GL_LIGHTING, GL_LINEAR_ATTENUATION, GL_NORMALIZE, GL_POSITION, GL_QUADRATIC_ATTENUATION, GL_SHININESS, GL_SMOOTH, GL_SPECULAR, GL_SPOT_CUTOFF, GL_SPOT_DIRECTION, GL_SPOT_EXPONENT`

Constructor Summary
`DebugGLES1(GLES1 downstreamGLES1)`

Method Summary
`GLContext` | `getContext()` Returns the GLContext with which this GL object is associated.
`Object` | `getExtension(String arg0)` Returns an object providing access to the specified OpenGL extension.
`GL` | `getGL()` Casts this object to the GL interface.
`GL2` | `getGL2()` Casts this object to the GL2 interface.
`GL2ES1` | `getGL2ES1()` Casts this object to the GL2ES1 interface.
`GL2ES2` | `getGL2ES2()` Casts this object to the GL2ES2 interface.
`GL2GL3` | `getGL2GL3()` Casts this object to the GL2GL3 interface.
`GL3` | `getGL3()` Casts this object to the GL3 interface.
`GLES1` | `getGLES1()` Casts this object to the GLES1 interface.
`GLES2` | `getGLES2()` Casts this object to the GLES2 interface.
`GLProfile` | `getGLProfile()` Returns the GLProfile with which this GL object is associated.
`Object` | `getPlatformGLExtensions()` Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed.
`int` | `getSwapInterval()` Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
`void` | `glActiveTexture(int arg0)` Interface to C language function: `void glActiveTexture(GLenum texture);`
`void` | `glAlphaFunc(int arg0, float arg1)` Interface to C language function: `void glAlphaFunc(GLenum func, GLclampf ref);`
`void` | `glAlphaFuncx(int arg0, int arg1)` Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glBindBuffer(int arg0, int arg1)` Interface to C language function: `void glBindBuffer(GLenum target, GLuint buffer);`
`void` | `glBindFramebuffer(int arg0, int arg1)` Interface to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer);`
`void` | `glBindRenderbuffer(int arg0, int arg1)` Interface to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`
`void` | `glBindTexture(int arg0, int arg1)` Interface to C language function: `void glBindTexture(GLenum target, GLuint texture);`
`void` | `glBlendEquation(int arg0)` Interface to C language function: `void glBlendEquation(GLenum mode);`
`void` | `glBlendEquationSeparate(int arg0, int arg1)` Interface to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`
`void` | `glBlendFunc(int arg0, int arg1)` Interface to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor);`
`void` | `glBlendFuncSeparate(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`
`void` | `glBufferData(int arg0, int arg1, Buffer arg2, int arg3)` Interface to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`
`void` | `glBufferSubData(int arg0, int arg1, int arg2, Buffer arg3)` Interface to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`
`int` | `glCheckFramebufferStatus(int arg0)` Interface to C language function: `GLenum glCheckFramebufferStatus(GLenum target);`
`void` | `glClear(int arg0)` Interface to C language function: `void glClear(GLbitfield mask);`
`void` | `glClearColor(float arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`
`void` | `glClearColorx(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glClearDepth(double arg0)`
`void` | `glClearDepthf(float arg0)` Interface to C language function: `void glClearDepthf(GLclampf depth);`
`void` | `glClearDepthx(int arg0)` Entry point to C language function: `void glClearDepthx(GLclampx depth);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glClearStencil(int arg0)` Interface to C language function: `void glClearStencil(GLint s);`
`void` | `glClientActiveTexture(int arg0)` Interface to C language function: `void glClientActiveTexture(GLenum texture);`
`void` | `glClipPlanef(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);` Part of `GL_VERSION_ES_CM`
`void` | `glClipPlanef(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);` Part of `GL_VERSION_ES_CM`
`void` | `glClipPlanex(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glClipPlanex(int arg0, IntBuffer arg1)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glColor4f(float arg0, float arg1, float arg2, float arg3)`
`void` | `glColor4ub(byte arg0, byte arg1, byte arg2, byte arg3)` Interface to C language function: `void glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha);`
`void` | `glColor4x(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glColorMask(boolean arg0, boolean arg1, boolean arg2, boolean arg3)` Interface to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`
`void` | `glColorPointer(GLArrayData arg0)`
`void` | `glColorPointer(int arg0, int arg1, int arg2, Buffer arg3)`
`void` | `glColorPointer(int arg0, int arg1, int arg2, long arg3)`
`void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, Buffer arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, long arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCopyTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Interface to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`
`void` | `glCopyTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Interface to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glCullFace(int arg0)` Interface to C language function: `void glCullFace(GLenum mode);`
`void` | `glCurrentPaletteMatrix(int arg0)` Entry point to C language function: `void glCurrentPaletteMatrixOES(GLuint matrixpaletteindex);` Part of `GL_OES_matrix_palette`
`void` | `glDeleteBuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteBuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteFramebuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteFramebuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteRenderbuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteRenderbuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteTextures(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDeleteTextures(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDepthFunc(int arg0)` Interface to C language function: `void glDepthFunc(GLenum func);`
`void` | `glDepthMask(boolean arg0)` Interface to C language function: `void glDepthMask(GLboolean flag);`
`void` | `glDepthRange(double arg0, double arg1)`
`void` | `glDepthRangef(float arg0, float arg1)` Interface to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar);`
`void` | `glDepthRangex(int arg0, int arg1)` Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glDisable(int arg0)` Interface to C language function: `void glDisable(GLenum cap);`
`void` | `glDisableClientState(int arg0)`
`void` | `glDrawArrays(int arg0, int arg1, int arg2)` Interface to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`
`void` | `glDrawElements(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glDrawElements(int arg0, int arg1, int arg2, long arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glDrawTexfOES(float arg0, float arg1, float arg2, float arg3, float arg4)` Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexfvOES(float[] arg0, int arg1)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexfvOES(FloatBuffer arg0)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexiOES(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexivOES(int[] arg0, int arg1)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexivOES(IntBuffer arg0)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexsOES(short arg0, short arg1, short arg2, short arg3, short arg4)` Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexsvOES(short[] arg0, int arg1)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexsvOES(ShortBuffer arg0)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexxOES(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexxvOES(int[] arg0, int arg1)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);` Part of `GL_OES_draw_texture`
`void` | `glDrawTexxvOES(IntBuffer arg0)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);` Part of `GL_OES_draw_texture`
`void` | `glEGLImageTargetRenderbufferStorageOES(int arg0, Buffer arg1)` Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image);` Part of `GL_OES_EGL_image`
`void` | `glEGLImageTargetTexture2DOES(int arg0, Buffer arg1)` Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);` Part of `GL_OES_EGL_image`
`void` | `glEnable(int arg0)` Interface to C language function: `void glEnable(GLenum cap);`
`void` | `glEnableClientState(int arg0)`
`void` | `glFinish()` Interface to C language function: `void glFinish(void);`
`void` | `glFlush()` Interface to C language function: `void glFlush(void);`
`void` | `glFogf(int arg0, float arg1)` Interface to C language function: `void glFogf(GLenum pname, GLfloat param);`
`void` | `glFogfv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glFogfv(GLenum pname, const GLfloat * params);`
`void` | `glFogfv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glFogfv(GLenum pname, const GLfloat * params);`
`void` | `glFogx(int arg0, int arg1)` Entry point to C language function: `void glFogx(GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glFogxv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glFogxv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glFramebufferRenderbuffer(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`
`void` | `glFramebufferTexture2D(int arg0, int arg1, int arg2, int arg3, int arg4)` Interface to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`
`void` | `glFrontFace(int arg0)` Interface to C language function: `void glFrontFace(GLenum mode);`
`void` | `glFrustum(double arg0, double arg1, double arg2, double arg3, double arg4, double arg5)`
`void` | `glFrustumf(float arg0, float arg1, float arg2, float arg3, float arg4, float arg5)`
`void` | `glFrustumx(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGenBuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenBuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenerateMipmap(int arg0)` Interface to C language function: `void glGenerateMipmap(GLenum target);`
`void` | `glGenFramebuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenFramebuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenRenderbuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenRenderbuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenTextures(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGenTextures(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGetBooleanv(int arg0, byte[] arg1, int arg2)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`void` | `glGetBooleanv(int arg0, ByteBuffer arg1)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`int` | `glGetBoundBuffer(int arg0)`
`void` | `glGetBufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetBufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetClipPlanef(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);` Part of `GL_VERSION_ES_CM`
`void` | `glGetClipPlanef(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);` Part of `GL_VERSION_ES_CM`
`void` | `glGetClipPlanex(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetClipPlanex(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);` Part of `GL_VERSION_ES_CL_CM`
`int` | `glGetError()` Interface to C language function: `GLenum glGetError(void);`
`void` | `glGetFixedv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetFixedv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetFloatv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`void` | `glGetFloatv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, int[] arg3, int arg4)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, IntBuffer arg3)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetIntegerv(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetIntegerv(int arg0, IntBuffer arg1)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetLightfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`
`void` | `glGetLightfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`
`void` | `glGetLightxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetLightxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetMaterialfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`
`void` | `glGetMaterialfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`
`void` | `glGetMaterialxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetMaterialxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetRenderbufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetRenderbufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`String` | `glGetString(int arg0)` Interface to C language function: `const GLubyte * glGetString(GLenum name);`
`void` | `glGetTexEnvfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`
`void` | `glGetTexEnvfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`
`void` | `glGetTexEnviv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`
`void` | `glGetTexEnviv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`
`void` | `glGetTexEnvxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetTexEnvxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetTexGenfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glGetTexGenfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glGetTexGeniv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glGetTexGeniv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glGetTexGenxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glGetTexGenxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glGetTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetTexParameterxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glGetTexParameterxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glHint(int arg0, int arg1)` Interface to C language function: `void glHint(GLenum target, GLenum mode);`
`boolean` | `glIsBuffer(int arg0)` Interface to C language function: `GLboolean glIsBuffer(GLuint buffer);`
`boolean` | `glIsEnabled(int arg0)` Interface to C language function: `GLboolean glIsEnabled(GLenum cap);`
`boolean` | `glIsFramebuffer(int arg0)` Interface to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer);`
`boolean` | `glIsRenderbuffer(int arg0)` Interface to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer);`
`boolean` | `glIsTexture(int arg0)` Interface to C language function: `GLboolean glIsTexture(GLuint texture);`
`boolean` | `glIsVBOArrayEnabled()`
`boolean` | `glIsVBOElementEnabled()`
`void` | `glLightf(int arg0, int arg1, float arg2)` Interface to C language function: `void glLightf(GLenum light, GLenum pname, GLfloat param);`
`void` | `glLightfv(int arg0, int arg1, float[] arg2, int arg3)`
`void` | `glLightfv(int arg0, int arg1, FloatBuffer arg2)`
`void` | `glLightModelf(int arg0, float arg1)` Interface to C language function: `void glLightModelf(GLenum pname, GLfloat param);`
`void` | `glLightModelfv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params);`
`void` | `glLightModelfv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params);`
`void` | `glLightModelx(int arg0, int arg1)` Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightModelxv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightModelxv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLightxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLineWidth(float arg0)` Interface to C language function: `void glLineWidth(GLfloat width);`
`void` | `glLineWidthx(int arg0)` Entry point to C language function: `void glLineWidthx(GLfixed width);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLoadIdentity()`
`void` | `glLoadMatrixf(float[] arg0, int arg1)`
`void` | `glLoadMatrixf(FloatBuffer arg0)` glLoadMatrixf
`void` | `glLoadMatrixx(int[] arg0, int arg1)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLoadMatrixx(IntBuffer arg0)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glLoadPaletteFromModelViewMatrixOES()` Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void);` Part of `GL_OES_matrix_palette`
`void` | `glLogicOp(int arg0)` Interface to C language function: `void glLogicOp(GLenum opcode);`
`ByteBuffer` | `glMapBuffer(int arg0, int arg1)` Interface to C language function: `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`
`void` | `glMaterialf(int arg0, int arg1, float arg2)`
`void` | `glMaterialfv(int arg0, int arg1, float[] arg2, int arg3)`
`void` | `glMaterialfv(int arg0, int arg1, FloatBuffer arg2)`
`void` | `glMaterialx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMaterialxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMaterialxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMatrixIndexPointer(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glMatrixIndexPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_OES_matrix_palette`
`void` | `glMatrixMode(int arg0)` sets the current matrix
`void` | `glMultiTexCoord4f(int arg0, float arg1, float arg2, float arg3, float arg4)` Interface to C language function: `void glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);`
`void` | `glMultiTexCoord4x(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMultMatrixf(float[] arg0, int arg1)`
`void` | `glMultMatrixf(FloatBuffer arg0)` glMultMatrixf
`void` | `glMultMatrixx(int[] arg0, int arg1)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glMultMatrixx(IntBuffer arg0)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glNormal3f(float arg0, float arg1, float arg2)` Interface to C language function: `void glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz);`
`void` | `glNormal3x(int arg0, int arg1, int arg2)` Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glNormalPointer(GLArrayData arg0)`
`void` | `glNormalPointer(int arg0, int arg1, Buffer arg2)`
`void` | `glNormalPointer(int arg0, int arg1, long arg2)`
`void` | `glOrtho(double arg0, double arg1, double arg2, double arg3, double arg4, double arg5)`
`void` | `glOrthof(float arg0, float arg1, float arg2, float arg3, float arg4, float arg5)`
`void` | `glOrthox(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPixelStorei(int arg0, int arg1)` Interface to C language function: `void glPixelStorei(GLenum pname, GLint param);`
`void` | `glPointParameterf(int arg0, float arg1)` Interface to C language function: `void glPointParameterf(GLenum pname, GLfloat param);`
`void` | `glPointParameterfv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params);`
`void` | `glPointParameterfv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params);`
`void` | `glPointParameterx(int arg0, int arg1)` Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPointParameterxv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPointParameterxv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPointSize(float arg0)` Interface to C language function: `void glPointSize(GLfloat size);`
`void` | `glPointSizePointerOES(int arg0, int arg1, Buffer arg2)` Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_OES_point_size_array`
`void` | `glPointSizex(int arg0)` Entry point to C language function: `void glPointSizex(GLfixed size);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPolygonOffset(float arg0, float arg1)` Interface to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units);`
`void` | `glPolygonOffsetx(int arg0, int arg1)` Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glPopMatrix()`
`void` | `glPushMatrix()`
`int` | `glQueryMatrixxOES(int[] arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);` Part of `GL_OES_query_matrix`
`int` | `glQueryMatrixxOES(IntBuffer arg0, IntBuffer arg1)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);` Part of `GL_OES_query_matrix`
`void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, Buffer arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, long arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glRenderbufferStorage(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`
`void` | `glRotatef(float arg0, float arg1, float arg2, float arg3)`
`void` | `glRotatex(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glSampleCoverage(float arg0, boolean arg1)` Interface to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert);`
`void` | `glSampleCoveragex(int arg0, boolean arg1)` Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glScalef(float arg0, float arg1, float arg2)`
`void` | `glScalex(int arg0, int arg1, int arg2)` Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glScissor(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glShadeModel(int arg0)`
`void` | `glStencilFunc(int arg0, int arg1, int arg2)` Interface to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`
`void` | `glStencilMask(int arg0)` Interface to C language function: `void glStencilMask(GLuint mask);`
`void` | `glStencilOp(int arg0, int arg1, int arg2)` Interface to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`
`void` | `glTexCoordPointer(GLArrayData arg0)`
`void` | `glTexCoordPointer(int arg0, int arg1, int arg2, Buffer arg3)`
`void` | `glTexCoordPointer(int arg0, int arg1, int arg2, long arg3)`
`void` | `glTexEnvf(int arg0, int arg1, float arg2)` Interface to C language function: `void glTexEnvf(GLenum target, GLenum pname, GLfloat param);`
`void` | `glTexEnvfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexEnvfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexEnvi(int arg0, int arg1, int arg2)` Interface to C language function: `void glTexEnvi(GLenum target, GLenum pname, GLint param);`
`void` | `glTexEnviv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexEnviv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexEnvx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexEnvxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexEnvxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexGenf(int arg0, int arg1, float arg2)` Entry point to C language function: `void glTexGenfOES(GLenum coord, GLenum pname, GLfloat param);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGenfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGenfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGeni(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexGeniOES(GLenum coord, GLenum pname, GLint param);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGeniv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGeniv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGenx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexGenxOES(GLenum coord, GLenum pname, GLfixed param);` Part of `GL_OES_texture_cube_map`
`void` | `glTexGenxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glTexGenxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);` Part of `GL_OES_texture_cube_map`
`void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexParameterf(int arg0, int arg1, float arg2)` Interface to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`
`void` | `glTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameteri(int arg0, int arg1, int arg2)` Interface to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param);`
`void` | `glTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexParameterx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexParameterxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexParameterxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);` Part of `GL_VERSION_ES_CL_CM`
`void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTranslatef(float arg0, float arg1, float arg2)`
`void` | `glTranslatex(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z);` Part of `GL_VERSION_ES_CL_CM`
`boolean` | `glUnmapBuffer(int arg0)` Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);` Part of `GL_VERSION_1_5, GL_OES_mapbuffer`
`void` | `glVertexPointer(GLArrayData arg0)`
`void` | `glVertexPointer(int arg0, int arg1, int arg2, Buffer arg3)`
`void` | `glVertexPointer(int arg0, int arg1, int arg2, long arg3)`
`void` | `glViewport(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glWeightPointer(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glWeightPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_OES_matrix_palette`
`boolean` | `hasGLSL()` Indicates whether this GL object supports GLSL.
`boolean` | `isExtensionAvailable(String arg0)` Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
`boolean` | `isFunctionAvailable(String arg0)` Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
`boolean` | `isGL()` Indicates whether this GL object conforms to any of the common GL profiles.
`boolean` | `isGL2()` Indicates whether this GL object conforms to the GL2 profile.
`boolean` | `isGL2ES1()` Indicates whether this GL object conforms to the GL2ES1 compatible profile.
`boolean` | `isGL2ES2()` Indicates whether this GL object conforms to the GL2ES2 compatible profile.
`boolean` | `isGL2GL3()` Indicates whether this GL object conforms to the GL2GL3 compatible profile.
`boolean` | `isGL3()` Indicates whether this GL object conforms to the GL3 profile.
`boolean` | `isGLES()` Indicates whether this GL object conforms to one of the OpenGL ES compatible profiles.
`boolean` | `isGLES1()` Indicates whether this GL object conforms to the GLES1 profile.
`boolean` | `isGLES2()` Indicates whether this GL object conforms to the GLES2 profile.
`void` | `setSwapInterval(int arg0)` Provides a platform-independent way to specify the minimum swap interval for buffer swaps.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

Constructor Detail

### DebugGLES1

    public DebugGLES1(GLES1 downstreamGLES1)

Method Detail

### isGL

    public boolean isGL()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to any of the common GL profiles.

  Specified by:
    `isGL` in interface `GLBase`
  Returns:
    whether this GL object conforms to any of the common GL profiles

### isGL3

    public boolean isGL3()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL3 profile. The GL3 profile reflects OpenGL versions greater or equal 3.1

  Specified by:
    `isGL3` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL3 profile

### isGL2

    public boolean isGL2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2 profile. The GL2 profile reflects OpenGL versions greater or equal 1.5

  Specified by:
    `isGL2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2 profile

### isGLES1

    public boolean isGLES1()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GLES1 profile.

  Specified by:
    `isGLES1` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GLES1 profile

### isGLES2

    public boolean isGLES2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GLES2 profile.

  Specified by:
    `isGLES2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GLES2 profile

### isGL2ES1

    public boolean isGL2ES1()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2ES1 compatible profile.

  Specified by:
    `isGL2ES1` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2ES1 profile

### isGL2ES2

    public boolean isGL2ES2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2ES2 compatible profile.

  Specified by:
    `isGL2ES2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2ES2 profile

### isGL2GL3

    public boolean isGL2GL3()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2GL3 compatible profile.

  Specified by:
    `isGL2GL3` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2GL3 profile

### isGLES

    public boolean isGLES()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to one of the OpenGL ES compatible profiles.

  Specified by:
    `isGLES` in interface `GLBase`
  Returns:
    whether this GL object conforms to one of the OpenGL ES profiles

### getGL

    public GL getGL()

  Description copied from interface: `GLBase`
  Casts this object to the GL interface.

  Specified by:
    `getGL` in interface `GLBase`
  Returns:
    this object cast to the GL interface

### getGL3

    public GL3 getGL3()

  Description copied from interface: `GLBase`
  Casts this object to the GL3 interface.

  Specified by:
    `getGL3` in interface `GLBase`
  Returns:
    this object cast to the GL3 interface

### getGL2

    public GL2 getGL2()

  Description copied from interface: `GLBase`
  Casts this object to the GL2 interface.

  Specified by:
    `getGL2` in interface `GLBase`
  Returns:
    this object cast to the GL2 interface

### getGLES1

    public GLES1 getGLES1()

  Description copied from interface: `GLBase`
  Casts this object to the GLES1 interface.

  Specified by:
    `getGLES1` in interface `GLBase`
  Returns:
    this object cast to the GLES1 interface

### getGLES2

    public GLES2 getGLES2()

  Description copied from interface: `GLBase`
  Casts this object to the GLES2 interface.

  Specified by:
    `getGLES2` in interface `GLBase`
  Returns:
    this object cast to the GLES2 interface

### getGL2ES1

    public GL2ES1 getGL2ES1()

  Description copied from interface: `GLBase`
  Casts this object to the GL2ES1 interface.

  Specified by:
    `getGL2ES1` in interface `GLBase`
  Returns:
    this object cast to the GL2ES1 interface

### getGL2ES2

    public GL2ES2 getGL2ES2()

  Description copied from interface: `GLBase`
  Casts this object to the GL2ES2 interface.

  Specified by:
    `getGL2ES2` in interface `GLBase`
  Returns:
    this object cast to the GL2ES2 interface

### getGL2GL3

    public GL2GL3 getGL2GL3()

  Description copied from interface: `GLBase`
  Casts this object to the GL2GL3 interface.

  Specified by:
    `getGL2GL3` in interface `GLBase`
  Returns:
    this object cast to the GL2GL3 interface

### getGLProfile

    public GLProfile getGLProfile()

  Description copied from interface: `GLBase`
  Returns the GLProfile with which this GL object is associated.

  Specified by:
    `getGLProfile` in interface `GLBase`
  Returns:
    the GLProfile with which this GL object is associated

### glBlendEquation

    public void glBlendEquation(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendEquation(GLenum mode);`

  Specified by:
    `glBlendEquation` in interface `GL`

### glMapBuffer

    public ByteBuffer glMapBuffer(int arg0,
                                  int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`

  Specified by:
    `glMapBuffer` in interface `GL`

### glCopyTexImage2D

    public void glCopyTexImage2D(int arg0,
                                 int arg1,
                                 int arg2,
                                 int arg3,
                                 int arg4,
                                 int arg5,
                                 int arg6,
                                 int arg7)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`

  Specified by:
    `glCopyTexImage2D` in interface `GL`

### glClipPlanex

    public void glClipPlanex(int arg0,
                             int[] arg1,
                             int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glClipPlanex` in interface `GLES1`

### glDrawTexxOES

    public void glDrawTexxOES(int arg0,
                              int arg1,
                              int arg2,
                              int arg3,
                              int arg4)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexxOES` in interface `GLES1`

### glStencilOp

    public void glStencilOp(int arg0,
                            int arg1,
                            int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`

  Specified by:
    `glStencilOp` in interface `GL`

### glTexGenx

    public void glTexGenx(int arg0,
                          int arg1,
                          int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexGenxOES(GLenum coord, GLenum pname, GLfixed param);`
  Part of `GL_OES_texture_cube_map`

  Specified by:
    `glTexGenx` in interface `GLES1`

### glNormalPointer

    public void glNormalPointer(int arg0,
                                int arg1,
                                Buffer arg2)

  Specified by:
    `glNormalPointer` in interface `GLPointerFunc`

### glDepthRange

    public void glDepthRange(double arg0,
                             double arg1)

  Specified by:
    `glDepthRange` in interface `GL`

### setSwapInterval

    public void setSwapInterval(int arg0)

  Description copied from interface: `GLBase`
  Provides a platform-independent way to specify the minimum swap interval for buffer swaps. An argument of 0 disables sync-to-vertical-refresh completely, while an argument of 1 causes the application to wait until the next vertical refresh until swapping buffers. The default, which is platform-specific, is usually either 0 or 1. This function is not guaranteed to have an effect, and in particular only affects heavyweight onscreen components.

  Specified by:
    `setSwapInterval` in interface `GLBase`
  See Also:
    `GLBase.getSwapInterval()`

### glLoadMatrixx

    public void glLoadMatrixx(int[] arg0,
                              int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLoadMatrixx` in interface `GLES1`

### isExtensionAvailable

    public boolean isExtensionAvailable(String arg0)

  Description copied from interface: `GLBase`
  Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

  Specified by:
    `isExtensionAvailable` in interface `GLBase`
  Parameters:
    `arg0` - the name of the OpenGL extension (e.g., "GL_ARB_vertex_program").

### glTexParameterfv

    public void glTexParameterfv(int arg0,
                                 int arg1,
                                 FloatBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexParameterfv` in interface `GL`

### glIsFramebuffer

    public boolean glIsFramebuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsFramebuffer(GLuint framebuffer);`

  Specified by:
    `glIsFramebuffer` in interface `GL`

### glBindFramebuffer

    public void glBindFramebuffer(int arg0,
                                  int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindFramebuffer(GLenum target, GLuint framebuffer);`

  Specified by:
    `glBindFramebuffer` in interface `GL`

### glTexParameterxv

    public void glTexParameterxv(int arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glTexParameterxv` in interface `GLES1`

### glTexEnvi

    public void glTexEnvi(int arg0,
                          int arg1,
                          int arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glTexEnvi(GLenum target, GLenum pname, GLint param);`

  Specified by:
    `glTexEnvi` in interface `GL2ES1`

### glColor4x

    public void glColor4x(int arg0,
                          int arg1,
                          int arg2,
                          int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glColor4x` in interface `GLES1`

### glCullFace

    public void glCullFace(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCullFace(GLenum mode);`

  Specified by:
    `glCullFace` in interface `GL`

### glTexImage2D

    public void glTexImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage2D` in interface `GL`

### glTexCoordPointer

    public void glTexCoordPointer(int arg0,
                                  int arg1,
                                  int arg2,
                                  long arg3)

  Specified by:
    `glTexCoordPointer` in interface `GLPointerFunc`

### glDeleteBuffers

    public void glDeleteBuffers(int arg0,
                                int[] arg1,
                                int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

  Specified by:
    `glDeleteBuffers` in interface `GL`

### glMaterialxv

    public void glMaterialxv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glMaterialxv` in interface `GLES1`

### glTexParameteriv

    public void glTexParameteriv(int arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexParameteriv` in interface `GL`

### glBlendFunc

    public void glBlendFunc(int arg0,
                            int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendFunc(GLenum sfactor, GLenum dfactor);`

  Specified by:
    `glBlendFunc` in interface `GL`

### glTexGenxv

    public void glTexGenxv(int arg0,
                           int arg1,
                           int[] arg2,
                           int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

  Specified by:
    `glTexGenxv` in interface `GLES1`

### glIsVBOElementEnabled

    public boolean glIsVBOElementEnabled()

  Specified by:
    `glIsVBOElementEnabled` in interface `GL`

### glDrawTexiOES

    public void glDrawTexiOES(int arg0,
                              int arg1,
                              int arg2,
                              int arg3,
                              int arg4)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexiOES` in interface `GLES1`

### glLightxv

    public void glLightxv(int arg0,
                          int arg1,
                          int[] arg2,
                          int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLightxv` in interface `GLES1`

### glGetTexEnviv

    public void glGetTexEnviv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexEnviv` in interface `GL2ES1`

### glBindTexture

    public void glBindTexture(int arg0,
                              int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindTexture(GLenum target, GLuint texture);`

  Specified by:
    `glBindTexture` in interface `GL`

### glDrawTexivOES

    public void glDrawTexivOES(int[] arg0,
                               int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexivOES(const GLint * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexivOES` in interface `GLES1`

### glTexCoordPointer

    public void glTexCoordPointer(GLArrayData arg0)

  Specified by:
    `glTexCoordPointer` in interface `GLPointerFunc`

### glTranslatef

    public void glTranslatef(float arg0,
                             float arg1,
                             float arg2)

  Specified by:
    `glTranslatef` in interface `GLMatrixFunc`

### glColorMask

    public void glColorMask(boolean arg0,
                            boolean arg1,
                            boolean arg2,
                            boolean arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`

  Specified by:
    `glColorMask` in interface `GL`

### glTexParameterf

    public void glTexParameterf(int arg0,
                                int arg1,
                                float arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`

  Specified by:
    `glTexParameterf` in interface `GL`

### glActiveTexture

    public void glActiveTexture(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glActiveTexture(GLenum texture);`

  Specified by:
    `glActiveTexture` in interface `GL`

### glGetRenderbufferParameteriv

    public void glGetRenderbufferParameteriv(int arg0,
                                             int arg1,
                                             int[] arg2,
                                             int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetRenderbufferParameteriv` in interface `GL`

### glGetLightxv

    public void glGetLightxv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetLightxv` in interface `GLES1`

### glDrawElements

    public void glDrawElements(int arg0,
                               int arg1,
                               int arg2,
                               long arg3)

  Description copied from interface: `GL`
  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glDrawElements` in interface `GL`

### glTexParameterfv

    public void glTexParameterfv(int arg0,
                                 int arg1,
                                 float[] arg2,
                                 int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexParameterfv` in interface `GL`

### glFramebufferTexture2D

    public void glFramebufferTexture2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`

  Specified by:
    `glFramebufferTexture2D` in interface `GL`

### glPointParameterx

    public void glPointParameterx(int arg0,
                                  int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glPointParameterx` in interface `GLES1`

### glTexEnvx

    public void glTexEnvx(int arg0,
                          int arg1,
                          int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glTexEnvx` in interface `GLES1`

### glColor4f

    public void glColor4f(float arg0,
                          float arg1,
                          float arg2,
                          float arg3)

  Specified by:
    `glColor4f` in interface `GLLightingFunc`
  Specified by:
    `glColor4f` in interface `GLPointerFunc`

### hasGLSL

    public boolean hasGLSL()

  Description copied from interface: `GLBase`
  Indicates whether this GL object supports GLSL.

  Specified by:
    `hasGLSL` in interface `GLBase`

### glGetTexParameteriv

    public void glGetTexParameteriv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexParameteriv` in interface `GL`

### glCompressedTexSubImage2D

    public void glCompressedTexSubImage2D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage2D` in interface `GL`

### glIsEnabled

    public boolean glIsEnabled(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsEnabled(GLenum cap);`

  Specified by:
    `glIsEnabled` in interface `GL`

### glTexParameterx

    public void glTexParameterx(int arg0,
                                int arg1,
                                int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glTexParameterx` in interface `GLES1`

### glGetMaterialxv

    public void glGetMaterialxv(int arg0,
                                int arg1,
                                int[] arg2,
                                int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetMaterialxv` in interface `GLES1`

### glTexGeni

    public void glTexGeni(int arg0,
                          int arg1,
                          int arg2)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glTexGeniOES(GLenum coord, GLenum pname, GLint param);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glTexGeni` in interface `GL2ES1`

### glDepthRangex

    public void glDepthRangex(int arg0,
                              int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glDepthRangex` in interface `GLES1`

### glIsTexture

    public boolean glIsTexture(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsTexture(GLuint texture);`

  Specified by:
    `glIsTexture` in interface `GL`

### glGetFixedv

    public void glGetFixedv(int arg0,
                            int[] arg1,
                            int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetFixedv` in interface `GLES1`

### glClearStencil

    public void glClearStencil(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearStencil(GLint s);`

  Specified by:
    `glClearStencil` in interface `GL`

### glMultMatrixx

    public void glMultMatrixx(int[] arg0,
                              int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glMultMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glMultMatrixx` in interface `GLES1`

### glReadPixels

    public void glReadPixels(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             Buffer arg6)

  Description copied from interface: `GL`
  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glReadPixels` in interface `GL`

### glEnableClientState

    public void glEnableClientState(int arg0)

  Specified by:
    `glEnableClientState` in interface `GLPointerFunc`

### glDrawTexfOES

    public void glDrawTexfOES(float arg0,
                              float arg1,
                              float arg2,
                              float arg3,
                              float arg4)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexfOES` in interface `GLES1`

### glClearColor

    public void glClearColor(float arg0,
                             float arg1,
                             float arg2,
                             float arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`

  Specified by:
    `glClearColor` in interface `GL`

### glWeightPointer

    public void glWeightPointer(int arg0,
                                int arg1,
                                int arg2,
                                Buffer arg3)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glWeightPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_OES_matrix_palette`

  Specified by:
    `glWeightPointer` in interface `GL2ES1`

### glGetTexGenxv

    public void glGetTexGenxv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

  Specified by:
    `glGetTexGenxv` in interface `GLES1`

### glTexParameteri

    public void glTexParameteri(int arg0,
                                int arg1,
                                int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteri(GLenum target, GLenum pname, GLint param);`

  Specified by:
    `glTexParameteri` in interface `GL`

### glPointSizex

    public void glPointSizex(int arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glPointSizex(GLfixed size);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glPointSizex` in interface `GLES1`

### glDepthRangef

    public void glDepthRangef(float arg0,
                              float arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthRangef(GLclampf zNear, GLclampf zFar);`

  Specified by:
    `glDepthRangef` in interface `GL`

### glOrtho

    public void glOrtho(double arg0,
                        double arg1,
                        double arg2,
                        double arg3,
                        double arg4,
                        double arg5)

  Specified by:
    `glOrtho` in interface `GL2ES1`

### glMaterialx

    public void glMaterialx(int arg0,
                            int arg1,
                            int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glMaterialx` in interface `GLES1`

### glLoadIdentity

    public void glLoadIdentity()

  Specified by:
    `glLoadIdentity` in interface `GLMatrixFunc`

### glPointParameterf

    public void glPointParameterf(int arg0,
                                  float arg1)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glPointParameterf(GLenum pname, GLfloat param);`

  Specified by:
    `glPointParameterf` in interface `GL2ES1`

### glDrawElements

    public void glDrawElements(int arg0,
                               int arg1,
                               int arg2,
                               Buffer arg3)

  Description copied from interface: `GL`
  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glDrawElements` in interface `GL`

### glAlphaFuncx

    public void glAlphaFuncx(int arg0,
                             int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glAlphaFuncx` in interface `GLES1`

### glDeleteFramebuffers

    public void glDeleteFramebuffers(int arg0,
                                     IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

  Specified by:
    `glDeleteFramebuffers` in interface `GL`

### glGetTexParameterfv

    public void glGetTexParameterfv(int arg0,
                                    int arg1,
                                    FloatBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexParameterfv` in interface `GL`

### glTexEnvfv

    public void glTexEnvfv(int arg0,
                           int arg1,
                           float[] arg2,
                           int arg3)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexEnvfv` in interface `GL2ES1`

### getContext

    public GLContext getContext()

  Description copied from interface: `GLBase`
  Returns the GLContext with which this GL object is associated.

  Specified by:
    `getContext` in interface `GLBase`
  Returns:
    the GLContext with which this GL object is associated

### glTexEnvxv

    public void glTexEnvxv(int arg0,
                           int arg1,
                           IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glTexEnvxv` in interface `GLES1`

### glIsVBOArrayEnabled

    public boolean glIsVBOArrayEnabled()

  Specified by:
    `glIsVBOArrayEnabled` in interface `GL`

### glGetClipPlanex

    public void glGetClipPlanex(int arg0,
                                IntBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetClipPlanex` in interface `GLES1`

### glGetFramebufferAttachmentParameteriv

    public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                      int arg1,
                                                      int arg2,
                                                      IntBuffer arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

  Specified by:
    `glGetFramebufferAttachmentParameteriv` in interface `GL`

### glOrthox

    public void glOrthox(int arg0,
                         int arg1,
                         int arg2,
                         int arg3,
                         int arg4,
                         int arg5)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glOrthox` in interface `GLES1`

### glEnable

    public void glEnable(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glEnable(GLenum cap);`

  Specified by:
    `glEnable` in interface `GL`

### glTexGenf

    public void glTexGenf(int arg0,
                          int arg1,
                          float arg2)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glTexGenfOES(GLenum coord, GLenum pname, GLfloat param);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glTexGenf` in interface `GL2ES1`

### glPointParameterxv

    public void glPointParameterxv(int arg0,
                                   int[] arg1,
                                   int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glPointParameterxv` in interface `GLES1`

### glGenTextures

    public void glGenTextures(int arg0,
                              int[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

  Specified by:
    `glGenTextures` in interface `GL`

### glMaterialfv

    public void glMaterialfv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Specified by:
    `glMaterialfv` in interface `GLLightingFunc`

### glTranslatex

    public void glTranslatex(int arg0,
                             int arg1,
                             int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glTranslatex` in interface `GLES1`

### glGenerateMipmap

    public void glGenerateMipmap(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenerateMipmap(GLenum target);`

  Specified by:
    `glGenerateMipmap` in interface `GL`

### glMatrixMode

    public void glMatrixMode(int arg0)

  Description copied from interface: `GLMatrixFunc`
  sets the current matrix

  Specified by:
    `glMatrixMode` in interface `GLMatrixFunc`

### glCompressedTexSubImage2D

    public void glCompressedTexSubImage2D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage2D` in interface `GL`

### glLineWidthx

    public void glLineWidthx(int arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLineWidthx(GLfixed width);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLineWidthx` in interface `GLES1`

### glReadPixels

    public void glReadPixels(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             long arg6)

  Description copied from interface: `GL`
  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glReadPixels` in interface `GL`

### glGetClipPlanef

    public void glGetClipPlanef(int arg0,
                                float[] arg1,
                                int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);`
  Part of `GL_VERSION_ES_CM`

  Specified by:
    `glGetClipPlanef` in interface `GLES1`

### glAlphaFunc

    public void glAlphaFunc(int arg0,
                            float arg1)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glAlphaFunc(GLenum func, GLclampf ref);`

  Specified by:
    `glAlphaFunc` in interface `GL2ES1`

### glFramebufferRenderbuffer

    public void glFramebufferRenderbuffer(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`

  Specified by:
    `glFramebufferRenderbuffer` in interface `GL`

### glGetTexGenfv

    public void glGetTexGenfv(int arg0,
                              int arg1,
                              float[] arg2,
                              int arg3)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glGetTexGenfv` in interface `GL2ES1`

### glGetTexEnvfv

    public void glGetTexEnvfv(int arg0,
                              int arg1,
                              float[] arg2,
                              int arg3)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexEnvfv` in interface `GL2ES1`

### glLightModelxv

    public void glLightModelxv(int arg0,
                               int[] arg1,
                               int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLightModelxv` in interface `GLES1`

### glBindBuffer

    public void glBindBuffer(int arg0,
                             int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindBuffer(GLenum target, GLuint buffer);`

  Specified by:
    `glBindBuffer` in interface `GL`

### glGetBufferParameteriv

    public void glGetBufferParameteriv(int arg0,
                                       int arg1,
                                       int[] arg2,
                                       int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetBufferParameteriv` in interface `GL`

### glTexEnviv

    public void glTexEnviv(int arg0,
                           int arg1,
                           IntBuffer arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexEnviv` in interface `GL2ES1`

### glNormalPointer

    public void glNormalPointer(int arg0,
                                int arg1,
                                long arg2)

  Specified by:
    `glNormalPointer` in interface `GLPointerFunc`

### glDeleteTextures

    public void glDeleteTextures(int arg0,
                                 int[] arg1,
                                 int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

  Specified by:
    `glDeleteTextures` in interface `GL`

### glFogxv

    public void glFogxv(int arg0,
                        int[] arg1,
                        int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glFogxv` in interface `GLES1`

### glGetTexParameterfv

    public void glGetTexParameterfv(int arg0,
                                    int arg1,
                                    float[] arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexParameterfv` in interface `GL`

### glEGLImageTargetTexture2DOES

    public void glEGLImageTargetTexture2DOES(int arg0,
                                             Buffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);`
  Part of `GL_OES_EGL_image`

  Specified by:
    `glEGLImageTargetTexture2DOES` in interface `GLES1`

### glGenFramebuffers

    public void glGenFramebuffers(int arg0,
                                  int[] arg1,
                                  int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

  Specified by:
    `glGenFramebuffers` in interface `GL`

### glDrawTexsOES

    public void glDrawTexsOES(short arg0,
                              short arg1,
                              short arg2,
                              short arg3,
                              short arg4)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexsOES` in interface `GLES1`

### glMaterialf

    public void glMaterialf(int arg0,
                            int arg1,
                            float arg2)

  Specified by:
    `glMaterialf` in interface `GLLightingFunc`

### glBlendFuncSeparate

    public void glBlendFuncSeparate(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`

  Specified by:
    `glBlendFuncSeparate` in interface `GL`

### glLineWidth

    public void glLineWidth(float arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glLineWidth(GLfloat width);`

  Specified by:
    `glLineWidth` in interface `GL`

### glTexEnvfv

    public void glTexEnvfv(int arg0,
                           int arg1,
                           FloatBuffer arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexEnvfv` in interface `GL2ES1`

### glLightModelx

    public void glLightModelx(int arg0,
                              int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLightModelx` in interface `GLES1`

### glClientActiveTexture

    public void glClientActiveTexture(int arg0)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glClientActiveTexture(GLenum texture);`

  Specified by:
    `glClientActiveTexture` in interface `GL2ES1`

### glCurrentPaletteMatrix

    public void glCurrentPaletteMatrix(int arg0)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glCurrentPaletteMatrixOES(GLuint matrixpaletteindex);`
  Part of `GL_OES_matrix_palette`

  Specified by:
    `glCurrentPaletteMatrix` in interface `GL2ES1`

### glBlendEquationSeparate

    public void glBlendEquationSeparate(int arg0,
                                        int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`

  Specified by:
    `glBlendEquationSeparate` in interface `GL`

### glGetIntegerv

    public void glGetIntegerv(int arg0,
                              int[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

  Specified by:
    `glGetIntegerv` in interface `GLMatrixFunc`
  Specified by:
    `glGetIntegerv` in interface `GL`

### glDeleteRenderbuffers

    public void glDeleteRenderbuffers(int arg0,
                                      IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

  Specified by:
    `glDeleteRenderbuffers` in interface `GL`

### glTexGeniv

    public void glTexGeniv(int arg0,
                           int arg1,
                           int[] arg2,
                           int arg3)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glTexGeniv` in interface `GL2ES1`

### glGenBuffers

    public void glGenBuffers(int arg0,
                             int[] arg1,
                             int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

  Specified by:
    `glGenBuffers` in interface `GL`

### glGetTexGeniv

    public void glGetTexGeniv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glGetTexGeniv` in interface `GL2ES1`

### glBufferSubData

    public void glBufferSubData(int arg0,
                                int arg1,
                                int arg2,
                                Buffer arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`

  Specified by:
    `glBufferSubData` in interface `GL`

### glTexEnvf

    public void glTexEnvf(int arg0,
                          int arg1,
                          float arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glTexEnvf(GLenum target, GLenum pname, GLfloat param);`

  Specified by:
    `glTexEnvf` in interface `GL2ES1`

### glGetTexParameterxv

    public void glGetTexParameterxv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetTexParameterxv` in interface `GLES1`

### glTexCoordPointer

    public void glTexCoordPointer(int arg0,
                                  int arg1,
                                  int arg2,
                                  Buffer arg3)

  Specified by:
    `glTexCoordPointer` in interface `GLPointerFunc`

### getSwapInterval

    public int getSwapInterval()

  Description copied from interface: `GLBase`
  Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
  If the interval is not set by `GLBase.setSwapInterval(int)` yet, -1 is returned, indicating that the platforms default is being used.

  Specified by:
    `getSwapInterval` in interface `GLBase`
  See Also:
    `GLBase.setSwapInterval(int)`

### glGenRenderbuffers

    public void glGenRenderbuffers(int arg0,
                                   int[] arg1,
                                   int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

  Specified by:
    `glGenRenderbuffers` in interface `GL`

### glGetTexEnvxv

    public void glGetTexEnvxv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetTexEnvxv` in interface `GLES1`

### glFlush

    public void glFlush()

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFlush(void);`

  Specified by:
    `glFlush` in interface `GL`

### glDrawTexxvOES

    public void glDrawTexxvOES(IntBuffer arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexxvOES` in interface `GLES1`

### glUnmapBuffer

    public boolean glUnmapBuffer(int arg0)

  Description copied from interface: `GL`
  Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);`
  Part of `GL_VERSION_1_5, GL_OES_mapbuffer`

  Specified by:
    `glUnmapBuffer` in interface `GL`

### glMaterialfv

    public void glMaterialfv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Specified by:
    `glMaterialfv` in interface `GLLightingFunc`

### glLoadPaletteFromModelViewMatrixOES

    public void glLoadPaletteFromModelViewMatrixOES()

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void);`
  Part of `GL_OES_matrix_palette`

  Specified by:
    `glLoadPaletteFromModelViewMatrixOES` in interface `GLES1`

### glGetTexGenfv

    public void glGetTexGenfv(int arg0,
                              int arg1,
                              FloatBuffer arg2)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glGetTexGenfv` in interface `GL2ES1`

### glGetTexEnvfv

    public void glGetTexEnvfv(int arg0,
                              int arg1,
                              FloatBuffer arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexEnvfv` in interface `GL2ES1`

### glGetClipPlanef

    public void glGetClipPlanef(int arg0,
                                FloatBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * eqn);`
  Part of `GL_VERSION_ES_CM`

  Specified by:
    `glGetClipPlanef` in interface `GLES1`

### glTexImage2D

    public void glTexImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage2D` in interface `GL`

### glStencilMask

    public void glStencilMask(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilMask(GLuint mask);`

  Specified by:
    `glStencilMask` in interface `GL`

### glGetLightxv

    public void glGetLightxv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetLightxv` in interface `GLES1`

### glLoadMatrixf

    public void glLoadMatrixf(FloatBuffer arg0)

  Description copied from interface: `GLMatrixFunc`
  glLoadMatrixf

  Specified by:
    `glLoadMatrixf` in interface `GLMatrixFunc`

### glClipPlanef

    public void glClipPlanef(int arg0,
                             float[] arg1,
                             int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);`
  Part of `GL_VERSION_ES_CM`

  Specified by:
    `glClipPlanef` in interface `GLES1`

### glScalef

    public void glScalef(float arg0,
                         float arg1,
                         float arg2)

  Specified by:
    `glScalef` in interface `GLMatrixFunc`

### glGetTexParameteriv

    public void glGetTexParameteriv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexParameteriv` in interface `GL`

### glGetBooleanv

    public void glGetBooleanv(int arg0,
                              byte[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

  Specified by:
    `glGetBooleanv` in interface `GL`

### glDrawTexfvOES

    public void glDrawTexfvOES(float[] arg0,
                               int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexfvOES` in interface `GLES1`

### glGetBooleanv

    public void glGetBooleanv(int arg0,
                              ByteBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

  Specified by:
    `glGetBooleanv` in interface `GL`

### glNormal3x

    public void glNormal3x(int arg0,
                           int arg1,
                           int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glNormal3x` in interface `GLES1`

### glGetTexEnviv

    public void glGetTexEnviv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexEnviv` in interface `GL2ES1`

### glLightxv

    public void glLightxv(int arg0,
                          int arg1,
                          IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLightxv` in interface `GLES1`

### glDrawArrays

    public void glDrawArrays(int arg0,
                             int arg1,
                             int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`

  Specified by:
    `glDrawArrays` in interface `GL`

### glGetError

    public int glGetError()

  Description copied from interface: `GL`
  Interface to C language function:
  `GLenum glGetError(void);`

  Specified by:
    `glGetError` in interface `GL`

### glGetMaterialfv

    public void glGetMaterialfv(int arg0,
                                int arg1,
                                FloatBuffer arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetMaterialfv` in interface `GL2ES1`

### glFogx

    public void glFogx(int arg0,
                       int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glFogx(GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glFogx` in interface `GLES1`

### glDrawTexivOES

    public void glDrawTexivOES(IntBuffer arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexivOES(const GLint * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexivOES` in interface `GLES1`

### glBufferData

    public void glBufferData(int arg0,
                             int arg1,
                             Buffer arg2,
                             int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`

  Specified by:
    `glBufferData` in interface `GL`

### isFunctionAvailable

    public boolean isFunctionAvailable(String arg0)

  Description copied from interface: `GLBase`
  Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

  By "successfully" we mean that the function is both callable on the machine running the program and available on the current display.

  In order to call a function successfully, the function must be both callable on the machine running the program and available on the display device that is rendering the output (note: on non-networked, single-display machines these two conditions are identical; on networked and/or multi-display machines this becomes more complicated). These conditions are met if the function is either part of the core OpenGL version supported by both the host and display, or it is an OpenGL extension function that both the host and display support.

  A GL function is callable if it is successfully linked at runtime, hence the GLContext must be made current at least once.

  Specified by:
    `isFunctionAvailable` in interface `GLBase`
  Parameters:
    `arg0` - the name of the OpenGL function (e.g., use "glBindRenderbufferEXT" or "glBindRenderbuffer" to check if `#glBindRenderbuffer(int,int)` is available).

### glGetRenderbufferParameteriv

    public void glGetRenderbufferParameteriv(int arg0,
                                             int arg1,
                                             IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetRenderbufferParameteriv` in interface `GL`

### glDrawTexsvOES

    public void glDrawTexsvOES(short[] arg0,
                               int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexsvOES` in interface `GLES1`

### glGetTexGenxv

    public void glGetTexGenxv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

  Specified by:
    `glGetTexGenxv` in interface `GLES1`

### glGetLightfv

    public void glGetLightfv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetLightfv` in interface `GL2ES1`

### glLightfv

    public void glLightfv(int arg0,
                          int arg1,
                          FloatBuffer arg2)

  Specified by:
    `glLightfv` in interface `GLLightingFunc`

### glTexGenfv

    public void glTexGenfv(int arg0,
                           int arg1,
                           float[] arg2,
                           int arg3)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glTexGenfv` in interface `GL2ES1`

### glIsBuffer

    public boolean glIsBuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsBuffer(GLuint buffer);`

  Specified by:
    `glIsBuffer` in interface `GL`

### glFrustumf

    public void glFrustumf(float arg0,
                           float arg1,
                           float arg2,
                           float arg3,
                           float arg4,
                           float arg5)

  Specified by:
    `glFrustumf` in interface `GLMatrixFunc`

### glColorPointer

    public void glColorPointer(int arg0,
                               int arg1,
                               int arg2,
                               long arg3)

  Specified by:
    `glColorPointer` in interface `GLPointerFunc`

### glDisableClientState

    public void glDisableClientState(int arg0)

  Specified by:
    `glDisableClientState` in interface `GLPointerFunc`

### glPixelStorei

    public void glPixelStorei(int arg0,
                              int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glPixelStorei(GLenum pname, GLint param);`

  Specified by:
    `glPixelStorei` in interface `GL`

### glGetMaterialxv

    public void glGetMaterialxv(int arg0,
                                int arg1,
                                IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetMaterialxv` in interface `GLES1`

### glClear

    public void glClear(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClear(GLbitfield mask);`

  Specified by:
    `glClear` in interface `GL`

### glGetFixedv

    public void glGetFixedv(int arg0,
                            IntBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetFixedv` in interface `GLES1`

### glIsRenderbuffer

    public boolean glIsRenderbuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsRenderbuffer(GLuint renderbuffer);`

  Specified by:
    `glIsRenderbuffer` in interface `GL`

### glMultMatrixf

    public void glMultMatrixf(float[] arg0,
                              int arg1)

  Specified by:
    `glMultMatrixf` in interface `GLMatrixFunc`

### glScissor

    public void glScissor(int arg0,
                          int arg1,
                          int arg2,
                          int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glScissor` in interface `GL`

### glFrustumx

    public void glFrustumx(int arg0,
                           int arg1,
                           int arg2,
                           int arg3,
                           int arg4,
                           int arg5)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glFrustumx` in interface `GLES1`

### glMultMatrixx

    public void glMultMatrixx(IntBuffer arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glMultMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glMultMatrixx` in interface `GLES1`

### glFrustum

    public void glFrustum(double arg0,
                          double arg1,
                          double arg2,
                          double arg3,
                          double arg4,
                          double arg5)

  Specified by:
    `glFrustum` in interface `GL2ES1`

### glLoadMatrixf

    public void glLoadMatrixf(float[] arg0,
                              int arg1)

  Specified by:
    `glLoadMatrixf` in interface `GLMatrixFunc`

### glLoadMatrixx

    public void glLoadMatrixx(IntBuffer arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLoadMatrixx(const GLfixed * m);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLoadMatrixx` in interface `GLES1`

### glClipPlanef

    public void glClipPlanef(int arg0,
                             FloatBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation);`
  Part of `GL_VERSION_ES_CM`

  Specified by:
    `glClipPlanef` in interface `GLES1`

### glLightf

    public void glLightf(int arg0,
                         int arg1,
                         float arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glLightf(GLenum light, GLenum pname, GLfloat param);`

  Specified by:
    `glLightf` in interface `GL2ES1`

### glClearDepthx

    public void glClearDepthx(int arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glClearDepthx(GLclampx depth);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glClearDepthx` in interface `GLES1`

### glOrthof

    public void glOrthof(float arg0,
                         float arg1,
                         float arg2,
                         float arg3,
                         float arg4,
                         float arg5)

  Specified by:
    `glOrthof` in interface `GLMatrixFunc`

### glVertexPointer

    public void glVertexPointer(int arg0,
                                int arg1,
                                int arg2,
                                Buffer arg3)

  Specified by:
    `glVertexPointer` in interface `GLPointerFunc`

### glSampleCoverage

    public void glSampleCoverage(float arg0,
                                 boolean arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glSampleCoverage(GLclampf value, GLboolean invert);`

  Specified by:
    `glSampleCoverage` in interface `GL`

### glGetMaterialfv

    public void glGetMaterialfv(int arg0,
                                int arg1,
                                float[] arg2,
                                int arg3)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetMaterialfv` in interface `GL2ES1`

### glPointSizePointerOES

    public void glPointSizePointerOES(int arg0,
                                      int arg1,
                                      Buffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_OES_point_size_array`

  Specified by:
    `glPointSizePointerOES` in interface `GLES1`

### glDisable

    public void glDisable(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDisable(GLenum cap);`

  Specified by:
    `glDisable` in interface `GL`

### glDrawTexfvOES

    public void glDrawTexfvOES(FloatBuffer arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexfvOES` in interface `GLES1`

### glColorPointer

    public void glColorPointer(GLArrayData arg0)

  Specified by:
    `glColorPointer` in interface `GLPointerFunc`

### glHint

    public void glHint(int arg0,
                       int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glHint(GLenum target, GLenum mode);`

  Specified by:
    `glHint` in interface `GL`

### glGetBoundBuffer

    public int glGetBoundBuffer(int arg0)

  Specified by:
    `glGetBoundBuffer` in interface `GL`

### glClipPlanex

    public void glClipPlanex(int arg0,
                             IntBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glClipPlanex` in interface `GLES1`

### glLightfv

    public void glLightfv(int arg0,
                          int arg1,
                          float[] arg2,
                          int arg3)

  Specified by:
    `glLightfv` in interface `GLLightingFunc`

### glGetLightfv

    public void glGetLightfv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetLightfv` in interface `GL2ES1`

### glDeleteBuffers

    public void glDeleteBuffers(int arg0,
                                IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

  Specified by:
    `glDeleteBuffers` in interface `GL`

### glDepthMask

    public void glDepthMask(boolean arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthMask(GLboolean flag);`

  Specified by:
    `glDepthMask` in interface `GL`

### glTexParameteriv

    public void glTexParameteriv(int arg0,
                                 int arg1,
                                 IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexParameteriv` in interface `GL`

### glMaterialxv

    public void glMaterialxv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glMaterialxv` in interface `GLES1`

### glCompressedTexImage2D

    public void glCompressedTexImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       long arg7)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage2D` in interface `GL`

### glTexGenfv

    public void glTexGenfv(int arg0,
                           int arg1,
                           FloatBuffer arg2)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glTexGenfv` in interface `GL2ES1`

### glTexGenxv

    public void glTexGenxv(int arg0,
                           int arg1,
                           IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed * params);`
  Part of `GL_OES_texture_cube_map`

  Specified by:
    `glTexGenxv` in interface `GLES1`

### glFinish

    public void glFinish()

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFinish(void);`

  Specified by:
    `glFinish` in interface `GL`

### glTexParameterxv

    public void glTexParameterxv(int arg0,
                                 int arg1,
                                 IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glTexParameterxv` in interface `GLES1`

### glTexSubImage2D

    public void glTexSubImage2D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage2D` in interface `GL`

### glQueryMatrixxOES

    public int glQueryMatrixxOES(int[] arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);`
  Part of `GL_OES_query_matrix`

  Specified by:
    `glQueryMatrixxOES` in interface `GLES1`

### glQueryMatrixxOES

    public int glQueryMatrixxOES(IntBuffer arg0,
                                 IntBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent);`
  Part of `GL_OES_query_matrix`

  Specified by:
    `glQueryMatrixxOES` in interface `GLES1`

### glPointSize

    public void glPointSize(float arg0)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glPointSize(GLfloat size);`

  Specified by:
    `glPointSize` in interface `GL2ES1`

### glClearColorx

    public void glClearColorx(int arg0,
                              int arg1,
                              int arg2,
                              int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glClearColorx` in interface `GLES1`

### glRenderbufferStorage

    public void glRenderbufferStorage(int arg0,
                                      int arg1,
                                      int arg2,
                                      int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`

  Specified by:
    `glRenderbufferStorage` in interface `GL`

### glDrawTexsvOES

    public void glDrawTexsvOES(ShortBuffer arg0)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexsvOES` in interface `GLES1`

### glMultMatrixf

    public void glMultMatrixf(FloatBuffer arg0)

  Description copied from interface: `GLMatrixFunc`
  glMultMatrixf

  Specified by:
    `glMultMatrixf` in interface `GLMatrixFunc`

### getPlatformGLExtensions

    public Object getPlatformGLExtensions()

  Description copied from interface: `GLBase`
  Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed. The data type of the returned object and its associated capabilities are undefined. Most applications will never need to call this method. It is highly recommended that any applications which do call this method perform all accesses on the returned object reflectively to guard themselves against changes to the implementation.

  Specified by:
    `getPlatformGLExtensions` in interface `GLBase`

### glLightModelfv

    public void glLightModelfv(int arg0,
                               FloatBuffer arg1)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glLightModelfv(GLenum pname, const GLfloat * params);`

  Specified by:
    `glLightModelfv` in interface `GL2ES1`

### glColor4ub

    public void glColor4ub(byte arg0,
                           byte arg1,
                           byte arg2,
                           byte arg3)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha);`

  Specified by:
    `glColor4ub` in interface `GL2ES1`

### glGetIntegerv

    public void glGetIntegerv(int arg0,
                              IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

  Specified by:
    `glGetIntegerv` in interface `GLMatrixFunc`
  Specified by:
    `glGetIntegerv` in interface `GL`
  Parameters:
    `arg0` - GL_MATRIX_MODE
    `arg1` - the FloatBuffer's position remains unchanged which is the same behavior than the native JOGL GL impl

### glPopMatrix

    public void glPopMatrix()

  Specified by:
    `glPopMatrix` in interface `GLMatrixFunc`

### glDeleteRenderbuffers

    public void glDeleteRenderbuffers(int arg0,
                                      int[] arg1,
                                      int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

  Specified by:
    `glDeleteRenderbuffers` in interface `GL`

### glMatrixIndexPointer

    public void glMatrixIndexPointer(int arg0,
                                     int arg1,
                                     int arg2,
                                     Buffer arg3)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glMatrixIndexPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_OES_matrix_palette`

  Specified by:
    `glMatrixIndexPointer` in interface `GL2ES1`

### glGetBufferParameteriv

    public void glGetBufferParameteriv(int arg0,
                                       int arg1,
                                       IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetBufferParameteriv` in interface `GL`

### glPointParameterfv

    public void glPointParameterfv(int arg0,
                                   FloatBuffer arg1)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glPointParameterfv(GLenum pname, const GLfloat * params);`

  Specified by:
    `glPointParameterfv` in interface `GL2ES1`

### glShadeModel

    public void glShadeModel(int arg0)

  Specified by:
    `glShadeModel` in interface `GLLightingFunc`

### glTexEnviv

    public void glTexEnviv(int arg0,
                           int arg1,
                           int[] arg2,
                           int arg3)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexEnviv` in interface `GL2ES1`

### glGetString

    public String glGetString(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `const GLubyte * glGetString(GLenum name);`

  Specified by:
    `glGetString` in interface `GL`

### glDeleteTextures

    public void glDeleteTextures(int arg0,
                                 IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

  Specified by:
    `glDeleteTextures` in interface `GL`

### glGenFramebuffers

    public void glGenFramebuffers(int arg0,
                                  IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

  Specified by:
    `glGenFramebuffers` in interface `GL`

### glFogxv

    public void glFogxv(int arg0,
                        IntBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glFogxv` in interface `GLES1`

### glVertexPointer

    public void glVertexPointer(int arg0,
                                int arg1,
                                int arg2,
                                long arg3)

  Specified by:
    `glVertexPointer` in interface `GLPointerFunc`

### glClearDepthf

    public void glClearDepthf(float arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearDepthf(GLclampf depth);`

  Specified by:
    `glClearDepthf` in interface `GL`

### glDrawTexxvOES

    public void glDrawTexxvOES(int[] arg0,
                               int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords);`
  Part of `GL_OES_draw_texture`

  Specified by:
    `glDrawTexxvOES` in interface `GLES1`

### glRotatex

    public void glRotatex(int arg0,
                          int arg1,
                          int arg2,
                          int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glRotatex` in interface `GLES1`

### glBindRenderbuffer

    public void glBindRenderbuffer(int arg0,
                                   int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`

  Specified by:
    `glBindRenderbuffer` in interface `GL`

### glTexSubImage2D

    public void glTexSubImage2D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage2D` in interface `GL`

### glSampleCoveragex

    public void glSampleCoveragex(int arg0,
                                  boolean arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glSampleCoveragex` in interface `GLES1`

### glViewport

    public void glViewport(int arg0,
                           int arg1,
                           int arg2,
                           int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glViewport` in interface `GL`

### glFrontFace

    public void glFrontFace(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFrontFace(GLenum mode);`

  Specified by:
    `glFrontFace` in interface `GL`

### glLogicOp

    public void glLogicOp(int arg0)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glLogicOp(GLenum opcode);`

  Specified by:
    `glLogicOp` in interface `GL2ES1`

### glGetTexGeniv

    public void glGetTexGeniv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glGetTexGeniv` in interface `GL2ES1`

### glTexGeniv

    public void glTexGeniv(int arg0,
                           int arg1,
                           IntBuffer arg2)

  Description copied from interface: `GL2ES1`
  Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  Specified by:
    `glTexGeniv` in interface `GL2ES1`

### glGenBuffers

    public void glGenBuffers(int arg0,
                             IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

  Specified by:
    `glGenBuffers` in interface `GL`

### glMultiTexCoord4x

    public void glMultiTexCoord4x(int arg0,
                                  int arg1,
                                  int arg2,
                                  int arg3,
                                  int arg4)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glMultiTexCoord4x` in interface `GLES1`

### glFogfv

    public void glFogfv(int arg0,
                        FloatBuffer arg1)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glFogfv(GLenum pname, const GLfloat * params);`

  Specified by:
    `glFogfv` in interface `GL2ES1`

### glGetTexParameterxv

    public void glGetTexParameterxv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetTexParameterxv` in interface `GLES1`

### glPushMatrix

    public void glPushMatrix()

  Specified by:
    `glPushMatrix` in interface `GLMatrixFunc`

### glNormal3f

    public void glNormal3f(float arg0,
                           float arg1,
                           float arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz);`

  Specified by:
    `glNormal3f` in interface `GL2ES1`

### glGetFloatv

    public void glGetFloatv(int arg0,
                            float[] arg1,
                            int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

  Specified by:
    `glGetFloatv` in interface `GLMatrixFunc`
  Specified by:
    `glGetFloatv` in interface `GL`

### glGenRenderbuffers

    public void glGenRenderbuffers(int arg0,
                                   IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

  Specified by:
    `glGenRenderbuffers` in interface `GL`

### glRotatef

    public void glRotatef(float arg0,
                          float arg1,
                          float arg2,
                          float arg3)

  Specified by:
    `glRotatef` in interface `GLMatrixFunc`

### glLightx

    public void glLightx(int arg0,
                         int arg1,
                         int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLightx` in interface `GLES1`

### glGetTexEnvxv

    public void glGetTexEnvxv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetTexEnvxv` in interface `GLES1`

### glCompressedTexImage2D

    public void glCompressedTexImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       Buffer arg7)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage2D` in interface `GL`

### glCheckFramebufferStatus

    public int glCheckFramebufferStatus(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLenum glCheckFramebufferStatus(GLenum target);`

  Specified by:
    `glCheckFramebufferStatus` in interface `GL`

### glPolygonOffset

    public void glPolygonOffset(float arg0,
                                float arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glPolygonOffset(GLfloat factor, GLfloat units);`

  Specified by:
    `glPolygonOffset` in interface `GL`

### glMultiTexCoord4f

    public void glMultiTexCoord4f(int arg0,
                                  float arg1,
                                  float arg2,
                                  float arg3,
                                  float arg4)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);`

  Specified by:
    `glMultiTexCoord4f` in interface `GL2ES1`

### glLightModelfv

    public void glLightModelfv(int arg0,
                               float[] arg1,
                               int arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glLightModelfv(GLenum pname, const GLfloat * params);`

  Specified by:
    `glLightModelfv` in interface `GL2ES1`

### glNormalPointer

    public void glNormalPointer(GLArrayData arg0)

  Specified by:
    `glNormalPointer` in interface `GLPointerFunc`

### glFogf

    public void glFogf(int arg0,
                       float arg1)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glFogf(GLenum pname, GLfloat param);`

  Specified by:
    `glFogf` in interface `GL2ES1`

### glTexEnvxv

    public void glTexEnvxv(int arg0,
                           int arg1,
                           int[] arg2,
                           int arg3)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glTexEnvxv` in interface `GLES1`

### glGetFramebufferAttachmentParameteriv

    public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                      int arg1,
                                                      int arg2,
                                                      int[] arg3,
                                                      int arg4)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

  Specified by:
    `glGetFramebufferAttachmentParameteriv` in interface `GL`

### glGetClipPlanex

    public void glGetClipPlanex(int arg0,
                                int[] arg1,
                                int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glGetClipPlanex` in interface `GLES1`

### glDepthFunc

    public void glDepthFunc(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthFunc(GLenum func);`

  Specified by:
    `glDepthFunc` in interface `GL`

### getExtension

    public Object getExtension(String arg0)

  Description copied from interface: `GLBase`
  Returns an object providing access to the specified OpenGL extension. This is intended to provide a mechanism for vendors who wish to provide access to new OpenGL extensions without changing the public API of the core package. For example, a user may request access to extension "GL_VENDOR_foo" and receive back an object which implements a vendor-specified interface which can call the OpenGL extension functions corresponding to that extension. It is up to the vendor to specify both the extension name and Java API for accessing it, including which class or interface contains the functions.

  Note: it is the intent to add new extensions as quickly as possible to the core GL API. Therefore it is unlikely that most vendors will use this extension mechanism, but it is being provided for completeness.

  Specified by:
    `getExtension` in interface `GLBase`

### glPointParameterfv

    public void glPointParameterfv(int arg0,
                                   float[] arg1,
                                   int arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glPointParameterfv(GLenum pname, const GLfloat * params);`

  Specified by:
    `glPointParameterfv` in interface `GL2ES1`

### glScalex

    public void glScalex(int arg0,
                         int arg1,
                         int arg2)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glScalex` in interface `GLES1`

### glDeleteFramebuffers

    public void glDeleteFramebuffers(int arg0,
                                     int[] arg1,
                                     int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

  Specified by:
    `glDeleteFramebuffers` in interface `GL`

### glLightModelf

    public void glLightModelf(int arg0,
                              float arg1)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glLightModelf(GLenum pname, GLfloat param);`

  Specified by:
    `glLightModelf` in interface `GL2ES1`

### glPolygonOffsetx

    public void glPolygonOffsetx(int arg0,
                                 int arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glPolygonOffsetx` in interface `GLES1`

### glVertexPointer

    public void glVertexPointer(GLArrayData arg0)

  Specified by:
    `glVertexPointer` in interface `GLPointerFunc`

### glStencilFunc

    public void glStencilFunc(int arg0,
                              int arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`

  Specified by:
    `glStencilFunc` in interface `GL`

### glLightModelxv

    public void glLightModelxv(int arg0,
                               IntBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glLightModelxv` in interface `GLES1`

### glCopyTexSubImage2D

    public void glCopyTexSubImage2D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    int arg5,
                                    int arg6,
                                    int arg7)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glCopyTexSubImage2D` in interface `GL`

### glEGLImageTargetRenderbufferStorageOES

    public void glEGLImageTargetRenderbufferStorageOES(int arg0,
                                                       Buffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image);`
  Part of `GL_OES_EGL_image`

  Specified by:
    `glEGLImageTargetRenderbufferStorageOES` in interface `GLES1`

### glFogfv

    public void glFogfv(int arg0,
                        float[] arg1,
                        int arg2)

  Description copied from interface: `GL2ES1`
  Interface to C language function:
  `void glFogfv(GLenum pname, const GLfloat * params);`

  Specified by:
    `glFogfv` in interface `GL2ES1`

### glPointParameterxv

    public void glPointParameterxv(int arg0,
                                   IntBuffer arg1)

  Description copied from interface: `GLES1`
  Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params);`
  Part of `GL_VERSION_ES_CL_CM`

  Specified by:
    `glPointParameterxv` in interface `GLES1`

### glColorPointer

    public void glColorPointer(int arg0,
                               int arg1,
                               int arg2,
                               Buffer arg3)

  Specified by:
    `glColorPointer` in interface `GLPointerFunc`

### glClearDepth

    public void glClearDepth(double arg0)

  Specified by:
    `glClearDepth` in interface `GL`

### glGenTextures

    public void glGenTextures(int arg0,
                              IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

  Specified by:
    `glGenTextures` in interface `GL`

### glGetFloatv

    public void glGetFloatv(int arg0,
                            FloatBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

  Specified by:
    `glGetFloatv` in interface `GLMatrixFunc`
  Specified by:
    `glGetFloatv` in interface `GL`
  Parameters:
    `arg0` - GL_MODELVIEW_MATRIX, GL_PROJECTION_MATRIX or GL_TEXTURE_MATRIX
    `arg1` - the FloatBuffer's position remains unchanged, which is the same behavior than the native JOGL GL impl

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.